relay_subbufs_consumed
Prev | relay interface | Next

## Name

relay_subbufs_consumed — update the buffer's sub-buffers-consumed count

## Synopsis

`void relay_subbufs_consumed (` | struct rchan * | chan,
| unsigned int | cpu,
| size_t | subbufs_consumed`)`;

## Arguments

`chan`

  the channel

`cpu`

  the cpu associated with the channel buffer to update

`subbufs_consumed`

  number of sub-buffers to add to current buf's count

## Description

Adds to the channel buffer's consumed sub-buffer count. subbufs_consumed should be the number of sub-buffers newly consumed, not the total consumed.

NOTE. Kernel clients don't need to call this function if the channel mode is 'overwrite'.

Prev | Up | Next
relay_switch_subbuf | Home | relay_close